From fefdfa6eba783a005677edb3fc8459fd7bb16adb Mon Sep 17 00:00:00 2001
From: bje <bje@138bc75d-0d04-0410-961f-82ee72b054a4>
Date: Mon, 21 Nov 2005 02:21:37 +0000
Subject: [PATCH] 	Import from Autoconf sources: 	2005-09-06  Paul
 Eggert  <eggert@cs.ucla.edu> 	* config/move-if-change: Don't output "$2 is
 unchanged"; 	suggested by Ben Elliston.  Handle weird characters correctly.

git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@107275 138bc75d-0d04-0410-961f-82ee72b054a4
---
 ChangeLog      |  8 ++++++++
 move-if-change | 44 +++++++++++++++++---------------------------
 2 files changed, 25 insertions(+), 27 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 1de40cc67080..4edfc1aa9683 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2005-11-21  Ben Elliston  <bje@au.ibm.com>
+
+	Import from Autoconf sources:
+
+	2005-09-06  Paul Eggert  <eggert@cs.ucla.edu>
+	* config/move-if-change: Don't output "$2 is unchanged";
+	suggested by Ben Elliston.  Handle weird characters correctly.
+
 2005-11-18  Andreas Tobler  <a.tobler@schweiz.ch>
 
 	* ltcf-c.sh (whole_archive_flag_spec): Remove '-all_load $convenience'
diff --git a/move-if-change b/move-if-change
index d267e7212a82..ff74a556d2d7 100755
--- a/move-if-change
+++ b/move-if-change
@@ -1,32 +1,22 @@
 #!/bin/sh
+# Like mv $1 $2, but if the files are the same, just delete $1.
+# Status is zero if successful, nonzero otherwise.
 
-# Copyright (C) 1996 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+usage="$0: usage: $0 SOURCE DEST"
 
-if
-test -r $2
-then
-if
-cmp $1 $2 > /dev/null
-then
-echo $2 is unchanged
-rm -f $1
-else
-mv -f $1 $2
-fi
+case $# in
+2) ;;
+*) echo "$usage" >&2; exit 1;;
+esac
+
+for arg in "$1" "$2"; do
+  case $arg in
+   -*) echo "$usage" >&2; exit 1;;
+  esac
+done
+
+if test -r "$2" && cmp -s "$1" "$2"; then
+  rm -f "$1"
 else
-mv -f $1 $2
+  mv -f "$1" "$2"
 fi
-- 
GitLab